Libérez la puissance de votre serveur (PHP-FPM, OPcache et PHP7)

« Réduire le temps de réponse du serveur », first byte time/Premier octet, TTBF, Début affichage, ….

Cette phrase ou termes, vous l’avez trop souvent vu et on vous recommande toujours d’optimiser au mieux votre CMS/module/thèmes/requêtes SQL, ou aussi que le fait de passer en HTTPS réduit le temps de chargement du fait du chiffrement ? Vous en avez besoins de toutes les fonctionnalités, sans pour autant faire de compromis, vous vous êtes donc tourné vers un système de CDN ou un module cache ? Ces systèmes sont bien cependant ceux-ci on aussi certains désavantages et rendre votre site statique ….  STOP ce temps est fini !

php-fpm

C’est aujourd’hui que cPanel vient de mettre à votre disposition une technologie qui offre bien plus de performance qu’auparavant à savoir PHP-FPM ! Ce système est disponible dans cPanel 60 (actuellement dans le tiers CURRENT) Pour information PHP-FPM est jusqu’à 7 à 10 fois plus performant qu’une configuration classique !

Nos techniciens ont fait un certains nombres de tests sur des clients à haut trafique et les résultats sont très concluant en termes de Performance / Ressources  / Rapidités :

php_fpm-vs-fcgi php-fpm

Une des grandes nouveautés sur EasyApache 4 est qu’en plus d’offrir PHP-FPM; c’est d’avoir plusieurs versions de PHP sur le même serveur comme le PHP-Selector qui est déjà installé sur les environnement partagés/mutualisé. Il est donc tout à fait possible de faire cohabiter PHP5.3 et PHP7 sur le même serveur VPS ou HybridCloud.

Comment faire le changement ?

WHM >> Update Preferences >> Sélectionnez « RELEASE » pour avoir la version 60 >> SAVE

WHM >> Upgrade to Latest Version + Force a reinstall even if the system is up to date

WHM >> EasyApache 4 >> Utilisez le système de migration

WHM >>  MultiPHP Manager / Préférez ea-PHP70 et PHP-FPM à On !

Si vous souhaitez un peu d’aide pour le passage à EasyApache 4 et PHP-FPM, nos techniciens sont à votre disposition.


facebooktwitterlinkedingoogle

Previous Article précédent
Article suivant Next


  1. Si la migration visuelle n’est pas proposée dans votre WHM, lancez un petit
    /scripts/migrate_ea3_to_ea4 –run
    … si vous avez un accès root 😉
    Ensuite, WHM > MultiPHP, sélectionnez vos versions de PHP 5.6 ou 7 pour pouvoir ensuite utiliser PHP-FPM !
    PH devrait installer cela par défaut à tous ses clients ! ^_^

    1. Bonjour Mister-WP,
      Il est préférable que tout nos clients passe par le support pour cette mise à jour vers EA4 car il faut faire quelques configuration de plus. Comme par exemple l’ajout du monitoring du service dans le pare-feu, la personnalisation des valeurs php-FPM, etc !

      Bonne continuation.
      PH-M.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *